List companies
curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/companies \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/companies"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"companies": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve Corp",
"address": "123 Main St, New York, NY",
"source": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Oliver Industries",
"address": "456 Oak Ave, San Francisco, CA",
"source": null,
"tags": [],
"created_at": "2025-03-14T14:22:00.000Z",
"updated_at": "2025-03-14T14:22:00.000Z"
}
],
"pagination": {
"total_records": 42,
"total_pages": 2,
"current_page_number": 1,
"page_size": 30
}
}Companies
List companies
Retrieve a list of all companies in your workspace. Results are ordered by creation date (newest first).
GET
/
companies
List companies
curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/companies \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/companies"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"companies": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve Corp",
"address": "123 Main St, New York, NY",
"source": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Oliver Industries",
"address": "456 Oak Ave, San Francisco, CA",
"source": null,
"tags": [],
"created_at": "2025-03-14T14:22:00.000Z",
"updated_at": "2025-03-14T14:22:00.000Z"
}
],
"pagination": {
"total_records": 42,
"total_pages": 2,
"current_page_number": 1,
"page_size": 30
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.
Set the number of results returned in the response. Defaulting to 30 when omitted.
Response
200 - application/json
Successfully retrieved companies.
List of companies.
Hide child attributes
Hide child attributes
Unique identifier for the company.
Name of the company.
Address of the company.
Source of the company.
Timestamp when the company was created.
Timestamp when the company was last updated.